Search Unity

  1. We are migrating the Unity Forums to Unity Discussions by the end of July. Read our announcement for more information and let us know if you have any questions.
    Dismiss Notice
  2. Dismiss Notice

Bug .net error vscode

Discussion in 'Code Editors & IDEs' started by zombotanfataliyev, Jul 6, 2023.

  1. zombotanfataliyev

    zombotanfataliyev

    Joined:
    Jul 5, 2023
    Posts:
    1
    i cant use intellisense in vscode with unity. i originally had .net sdk v7 but in assembly-csharp.csproj it said v4.7.1 so i downloaded that but now my c# extension says no version of .net core sdk found and my intellisense still doesnt work. i downloaded .net core v2.1 but it didnt work.
     
  2. CodeSmile

    CodeSmile

    Joined:
    Apr 10, 2014
    Posts:
    7,000
    VSCode is not supported (anymore).

    Please use the Visual Studio Community version that the Unity Hub recommends to install along with the Unity editor version. Go to the Installs tab and click on the gear icon, choose Add Modules and select the Visual Studio item at the top.